<template>
  <q-page class="flex flex-center">
    <!-- <div class="row"> -->
    <q-card v-for="user in users" :key="user._id" style="min-width:300px" class="q-ma-sm">
        <!-- <q-card-title>{{ user.name }}</q-card-title> -->
      <q-item class="bg-primary text-white">
        <q-item-side avatar="statics/boy-avatar.png" />
        <q-item-main>
          <q-item-tile label>{{ user.name }}</q-item-tile>
        </q-item-main>
      </q-item>
      <q-card-title>
        Title
        <span slot="subtitle">Subtitle</span>
      </q-card-title>
      <q-card-main>
        <b>Skills</b>
        <br>
        <q-chip
        v-for="(skill, index) in user.skills"
        :key="index"
        color="secondary"
        class="q-ma-xs">
          {{ skill }}
        </q-chip>
      </q-card-main>
      <q-card-actions>
        <q-btn flat color="secondary">Action 1</q-btn>
        <q-btn flat color="secondary">Action 2</q-btn>
      </q-card-actions>
    </q-card>
    <!-- </div> -->
  </q-page>
</template>

<style>
</style>

<script>
export default {
  name: 'PageNearMe',
  data () {
    return {
      users: [
        {
          id: 1,
          name: 'Matthew McHonnalay',
          skills: [
            'Cooking',
            'Eating',
            'Sleeping'
          ]
        },
        {
          id: 2,
          name: 'Brian Keestock'
        },
        {
          id: 3,
          name: 'Soumya Kaya'
        },
        {
          id: 4,
          name: 'Alex Rodriguez'
        },
        {
          id: 5,
          name: 'Parker Stevenson'
        },
        {
          id: 6,
          name: 'Pokerinos Tokerinos'
        },
        {
          id: 1,
          name: 'Matthew McHonnalay'
        },
        {
          id: 2,
          name: 'Brian Keestock'
        },
        {
          id: 3,
          name: 'Soumya Kaya'
        },
        {
          id: 4,
          name: 'Alex Rodriguez'
        },
        {
          id: 5,
          name: 'Parker Stevenson'
        },
        {
          id: 6,
          name: 'Pokerinos Tokerinos'
        }
      ]
    }
  }
}
</script>
